import { IterableDiffers, NgIterable, TemplateRef, TrackByFunction } from '@angular/core';
import { Observable } from 'rxjs';
import { RxRenderSettings, RxTemplateSettings } from './model';
import { RxListViewComputedContext, RxListViewContext } from './list-view-context';
export interface RxListManager<T> {
    nextStrategy: (config: string | Observable<string>) => void;
    render(changes$: Observable<NgIterable<T>>): Observable<void>;
}
export declare function createListTemplateManager<T, C extends RxListViewContext<T>>(config: {
    renderSettings: RxRenderSettings<T, C>;
    templateSettings: Omit<RxTemplateSettings<T, C, RxListViewComputedContext>, 'patchZone'> & {
        templateRef: TemplateRef<C>;
    };
    trackBy: TrackByFunction<T>;
    iterableDiffers: IterableDiffers;
}): RxListManager<T>;
//# sourceMappingURL=list-template-manager.d.ts.map